<?php
if (!defined('DATALIFEENGINE') || !defined('LOGGED_IN')) {
    die('Hacking attempt!');
}

$pjs_config = [];

$pjs_config["pjs_on"] = 1;

$pjs_config["pjs_align"] = "left";

$pjs_config["pjs_width"] = "100";

$pjs_config["pjs_height"] = "360";

$pjs_config["pjs_width_prpx"] = "pr";

$pjs_config["pjs_height_mode"] = "auto";

$pjs_config["pjs_audiowidth"] = "100";

$pjs_config["pjs_audioheight"] = "80";

$pjs_config["pjs_video_design"] = "1";

$pjs_config["pjs_audio_design"] = "1";

$pjs_config["pjs_audiowidth_prpx"] = "pr";

$pjs_config["pjs_audioheight_mode"] = "px";

$pjs_config["pjs_js"] = "engine/modules/playerjs/playerjs_default.js";

$pjs_settings = "engine/modules/playerjs/admin/settings.txt";

chmod($pjs_settings, 0644);
    
$pjs_config_json = file_get_contents($pjs_settings);

if($pjs_config_json){
    $pjs_config_saved = json_decode($pjs_config_json,true);
    foreach ($pjs_config_saved as $key => $value){
        $pjs_config[$key] = $value;
    }
}

if(isset($_POST['pjs_on']) && isset($_POST['pjs_align'])){
    $pjs_config["pjs_on"] = $_POST['pjs_on'];
    $pjs_config["pjs_align"] = $_POST['pjs_align'];
    $pjs_config["pjs_js"] = $_POST['pjs_js'];
    $pjs_config["pjs_width"] = $_POST['pjs_width'];
    $pjs_config["pjs_width_prpx"] = $_POST['pjs_width_prpx'];
    $pjs_config["pjs_height_mode"] = $_POST['pjs_height_mode'];
    if(isset($_POST['pjs_height']) && $pjs_config["pjs_height_mode"]=="px"){
        $pjs_config["pjs_height"] = $_POST['pjs_height'];
    }
    $pjs_config["pjs_audiowidth"] = $_POST['pjs_audiowidth'];
    $pjs_config["pjs_audiowidth_prpx"] = $_POST['pjs_audiowidth_prpx'];
    $pjs_config["pjs_audioheight_mode"] = $_POST['pjs_audioheight_mode'];

    $pjs_config["pjs_video_design"] = $_POST['pjs_video_design'];
    $pjs_config["pjs_audio_design"] = $_POST['pjs_audio_design'];

    if(isset($_POST['pjs_audioheight']) && $pjs_config["pjs_audioheight_mode"]=="px"){
        $pjs_config["pjs_audioheight"] = $_POST['pjs_audioheight'];
    }
    
    file_put_contents($pjs_settings,json_encode($pjs_config));
}





echo('<div class="panel-body">
    
    <div style="font-size:120%;margin-bottom:20px;border-radius:5px;padding:10px 15px;background-color:#fff3a5">Дизайн, поведение и реклама настраиваются в конструкторе &rarr; <a href="https://playerjs.com" target="_blank" style="color:#000;border-bottom:1px solid #000">playerjs.com</a></div>

    <form method="POST">
        
        <select name="pjs_on"><option value="1" '.($pjs_config["pjs_on"]==1?'selected':'').'>Плагин включен</option><option value="0" '.($pjs_config["pjs_on"]==0?'selected':'').'>Плагин выключен</option></select><br><br>
        
        <select name="pjs_align"><option value="left" '.($pjs_config["pjs_align"] =="left"?'selected':'').'>Выравнивание слева</option><option value="center" '.($pjs_config["pjs_align"]=="center"?'selected':'').'>Выравнивание по центру</option></select><br><br>
        
        <style>
            .pjs_settings_size_table{border-right:1px solid #ccc;border-top:1px solid #ccc}
            .pjs_settings_size_table td{padding:10px;border-left:1px solid #ccc;border-bottom:1px solid #ccc}
        </style>
        
        <table class="pjs_settings_size_table"><tr style="background:#f9f9f9"><td>Размеры плеера</td><td>ширина &harr;</td><td>высота &varr;</td><td>№ дизайна</td><tr>
        <tr><td>для <b>видео</b></td><td><input name="pjs_width" value="'.$pjs_config["pjs_width"].'" style="width:50px;"> <select name="pjs_width_prpx"><option value="pr" '.($pjs_config["pjs_width_prpx"] =="pr"?'selected':'').'>%</option><option value="px" '.($pjs_config["pjs_width_prpx"]=="px"?'selected':'').'>px</option></select></td><td>'.($pjs_config["pjs_height_mode"]=="px"?'<input name="pjs_height" value="'.$pjs_config["pjs_height"].'" style="width:50px;">':'').' <select name="pjs_height_mode"><option value="auto" '.($pjs_config["pjs_height_mode"] =="auto"?'selected':'').'>авто</option><option value="px" '.($pjs_config["pjs_height_mode"]=="px"?'selected':'').'>px</option></select></td><td><input name="pjs_video_design" type="number" min="1" value="'.$pjs_config["pjs_video_design"].'" style="width:40px;-webkit-appearance:textfield;"></td></tr>
        
        <tr><td>для <b>аудио</b></td><td><input name="pjs_audiowidth" value="'.$pjs_config["pjs_audiowidth"].'" style="width:50px;"> <select name="pjs_audiowidth_prpx"><option value="pr" '.($pjs_config["pjs_audiowidth_prpx"] =="pr"?'selected':'').'>%</option><option value="px" '.($pjs_config["pjs_audiowidth_prpx"]=="px"?'selected':'').'>px</option></select></td><td>'.($pjs_config["pjs_audioheight_mode"]=="px"?'<input name="pjs_audioheight" value="'.$pjs_config["pjs_audioheight"].'" style="width:50px;">':'').' <select name="pjs_audioheight_mode"><option value="auto" '.($pjs_config["pjs_audioheight_mode"] =="auto"?'selected':'').'>авто</option><option value="px" '.($pjs_config["pjs_audioheight_mode"]=="px"?'selected':'').'>px</option></select></td><td><input name="pjs_audio_design" type="number" min="1" value="'.$pjs_config["pjs_audio_design"].'" style="width:40px;-webkit-appearance:textfield;"></td></tr></table>
        

        <br>Путь к js файлу плеера <input name="pjs_js" value="'.$pjs_config["pjs_js"].'" style="width:50%;"><br><br>
        
        <input type="submit"  class="btn bg-teal btn-sm btn-raised" value="Сохранить"/>
    
    </form>       
</div>');
?>