<?php

    //--------------------------------------------
    // PlayerJS официальный плагин для DLE
    // 1.6
    //
    // Описание - https://playerjs.com/docs/q=dle
    //--------------------------------------------

    $pjs_config = [];

    $pjs_config["pjs_on"] = 1;

    $pjs_config["pjs_align"] = "center";

    $pjs_config["pjs_js"] = "engine/modules/playerjs/playerjs_default.js";

    $pjs_config_json = file_get_contents("engine/modules/playerjs/admin/settings.txt");

    if($pjs_config_json){
        $pjs_config = json_decode($pjs_config_json,true);
    }

    $pjs_counter = 0;

    if($pjs_config["pjs_on"] == 1){
        
        $tpl->result['main'] = preg_replace_callback( '#\[playerjs(.+?)\]#i', PjsParser, $tpl->result['main']);
        
    }else{

        $tpl->result['main'] = preg_replace( '#\[playerjs(.+?)\]#i', '', $tpl->result['main']);
    }

    function PjsParser($x){
        global $config;
        global $pjs_config;
        global $pjs_counter;
        $pjs_counter++;
        $x = trim($x[1]);
        $sizes = [];
        $type = '';
        if(strpos($x,'(')===0){
            $sizes = substr($x,1,strpos($x,')')-1);
            $sizes = explode("x",$sizes);
            $x = substr($x,strpos($x,')')+2);
        }else{
            
            if(isset($pjs_config['pjs_audiowidth']) && strpos($x,"audio:1")!==FALSE){
                $type = 'audio';
            }
            $sizes[0] = $pjs_config['pjs_'.$type.'width'].($pjs_config['pjs_'.$type.'width_prpx']=='pr'?'%':'px');
            
            if($pjs_config['pjs_'.$type.'height_mode']=='px'){
                $sizes[1] = $pjs_config['pjs_'.$type.'height'].'px';
            }
        }
        if(isset($pjs_config['pjs_'.$type.'_design'])){
            if($pjs_config['pjs_'.$type.'_design']>1){
                $x="player:".$pjs_config['pjs_'.$type.'_design'].",";
            }
        }
        if(strpos($x,'((')>0){
            $x = str_replace('((','[',$x);
            $x = str_replace('))',']',$x);
        }
        if(strpos($x,'{{')>0){
            $x = str_replace('{{','[{',$x);
            $x = str_replace('}}','}]',$x);
        }
        return ($pjs_counter==1?'<script src="'.$config['http_home_url'].$pjs_config['pjs_js'].'" type="text/javascript"></script>':'').($pjs_config["pjs_align"]=="center"?'<center>':'').'<div id="playerjs'.$pjs_counter.'" '.(count($sizes)>0?'style="width:'.$sizes[0].(strpos($sizes[0],'%')>0||strpos($sizes[0],'px')>0?'':'px').(count($sizes)>1?';height:'.$sizes[1].(strpos($sizes[1],'%')>0||strpos($sizes[1],'px')>0?'':'px'):''):'').'"></div>'.($pjs_config["pjs_align"]=="center"?'</center>':'').'<script>var playerjs'.$pjs_counter.' = new Playerjs({id:"playerjs'.$pjs_counter.'",'.$x.'});</script>';
    }
?>